Bug 419504 - Auto restart after installing updates
Summary: Auto restart after installing updates
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: Updates (interactive) (show other bugs)
Version: 5.18.3
Platform: Kubuntu Packages Linux
: NOR wishlist
Target Milestone: ---
Assignee: Dan Leinir Turthra Jensen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-01 17:45 UTC by Tal Levy
Modified: 2021-12-28 16:41 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tal Levy 2020-04-01 17:45:49 UTC
It would be nice to have an option to "update and restart".
Comment 1 Nate Graham 2021-04-07 18:35:38 UTC
This is mostly a use case for offline updates, but I can understand wanting to be able to do it manually.
Comment 2 Bug Janitor Service 2021-12-22 02:26:50 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/discover/-/merge_requests/221
Comment 3 Aleix Pol 2021-12-28 16:40:57 UTC
Git commit a22b5c69b68c95b679157aec1251808cf8766148 by Aleix Pol.
Committed on 28/12/2021 at 16:15.
Pushed by ngraham into branch 'master'.

Allow to reboot the system automatically after updating

Triggering an offline update can take a while and it can be useful to
just trigger the build and go do something else to find your session
ready again when you get back.

M  +10   -0    discover/DiscoverObject.cpp
M  +1    -0    discover/DiscoverObject.h
M  +13   -0    discover/qml/UpdatesPage.qml

https://invent.kde.org/plasma/discover/commit/a22b5c69b68c95b679157aec1251808cf8766148